# Starting code for Lab 9
#-------------------------------------------------------------------
# initialization
import os,sys;os.chdir(os.getcwd())
sys.path.extend([os.getcwd(),os.path.join(os.path.expanduser('~'),'Documents')])
from lab9tester import *
#-------------------------------------------------------------------

# constructs a 2-dimensional grid of letters from a file
def readGrid(filename):
    f = open(filename, "r")
    allLines = f.readlines()
    f.close()
    grid = []
    for line in allLines:
        row = line.split()
        grid.append(row)
    return grid

# returns the number of rows in a grid
def numRows(grid):
    return len(grid)

# returns the number of columns in a grid
def numColumns(grid):
    return len(grid[0])

# prints out a grid in a nice way
def printGrid(grid):
    for r in range(numRows(grid)):
        for c in range(numColumns(grid)):
            print(grid[r][c], end=" ") # keep cursor on the same line
        print() # move cursor to next line

directionNames = ["up", "down", "left", "right", "up left", "up right", "down left", "down right"]

# returns the next grid position in the given direction
def nextPosition(r, c, direction):
    if "up" in direction:
        r = r - 1
    if "down" in direction:
        r = r + 1
    if "right" in direction:
        c = c + 1
    if "left" in direction:
        c = c - 1
    return r, c

# g = readGrid("grid1.txt")

